Skip to main content
POST
/
data
/
export
Create Export Job
curl --request POST \
  --url https://api.uplift.ai/v1/data/export \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "activity": "agility",
  "movement": "cutting",
  "startTime": 123,
  "endTime": 123,
  "athletes": [
    "<string>"
  ],
  "dateMode": "last_modified",
  "metrics": [
    "<string>"
  ],
  "row_filter_column": "<string>"
}
'
{
  "jobId": "<string>"
}

Tier Services

The data export endpoint is tier-based, and there are currently 3 service tiers:
Premium
The Premium Tier has no restrictions on data export. You can access all available data without any limitations.
Base
The Base Tier does not allow historical data requests before 12/12/2024. Be mindful of this when setting the startTime and endTime parameters. If you need access to older data, we recommend contacting our sales team to discuss upgrading to the Premium Tier.
Unavailable
Data export is not available without a subscription to either the Base or Premium service. You must subscribe to one of these tiers to use the data export functionality.

Valid activity-movement pairs

Only the following activity and movement pairs are accepted. Any other pair returns a 400 error.
ActivityValid movements
agilitycutting, five_ten_five
baseballhitting, pitching
basketballfree_throw, jump_shot, layup
gaitrunning, walking
golfswing
jumpbroad, countermovement, drop_vertical, single_leg, single_leg_broad, squat
lungeforward
otherother
range_of_motionankle_flexion, cervical_flexion_extension, cervical_rotation, sfma_shoulder_extension, sfma_shoulder_flexion, shoulder_9090, shoulder_flexion, t_spine_rotation
softballhitting
squatbody_weight, overhead, sfma_squat, single_leg
stabilityplank, push_up, rotary, sfma_back_bend, sfma_toe_touch, single_leg_stance, static_stance, y_balance_lower_quarter, y_balance_upper_quarter
track_and_fielddiscus, hammer_throw, high_jump, shot_put
tennisbackhand, forehand, overhand_serve, underhand_serve

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
activity
enum<string>
required

Specifies the type of activity for the export.

Available options:
agility,
baseball,
basketball,
gait,
golf,
jump,
lunge,
other,
range_of_motion,
softball,
squat,
stability,
track_and_field,
tennis
movement
enum<string>
required

Further filters the export based on specific movement type.

Available options:
cutting,
hitting,
pitching,
free_throw,
jump_shot,
layup,
running,
walking,
swing,
broad,
countermovement,
drop_vertical,
single_leg,
single_leg_broad,
squat,
forward,
other,
static_stance,
ankle_flexion,
cervical_flexion_extension,
cervical_rotation,
sfma_shoulder_extension,
sfma_shoulder_flexion,
shoulder_9090,
shoulder_flexion,
t_spine_rotation,
body_weight,
overhead,
sfma_squat,
plank,
push_up,
rotary,
sfma_back_bend,
sfma_toe_touch,
single_leg_stance,
y_balance_lower_quarter,
y_balance_upper_quarter,
hammer_throw,
high_jump,
shot_put,
five_ten_five,
discus,
backhand,
forehand,
overhand_serve,
underhand_serve
startTime
integer<int64>

Specifies the start of the time range for data retrieval in epoch time (UTC). Defaults to 24 hours prior to reduce the volume of data exported.

endTime
integer<int64>

Specifies the end of the time range for data retrieval in epoch time (UTC). Defaults to the current time to provide up-to-date information.

athletes
string[]

The list of athlete IDs to identify athlete data to be included in the export job.

dateMode
enum<string>

Determines which date field ('last_modified' or 'capture_time') should be used for time-based filtering. Defaults to 'last_modified'.

Available options:
last_modified,
capture_time
metrics
string[]

The list of metrics to include in the export job.

Read more about Filtering Metrics for usage examples.

row_filter_column
string

Control the row of the session to be exported. Only the row with the specified column value equal to 0 will be exported.

Read more about Filtering Metrics for usage examples.

Response

Export request successfully created. Returns a job ID to track the export status.

jobId
string

The unique identifier for the export job. Use this ID to poll for export status and retrieve results.